@echo off
rem -------------------------------------------------------------------------------
rem Configure WebSphere MQ permissions for topology discovery
rem
rem Arguments: QueueManagerName RITUserName PuttingApplicationUserName
rem
rem QueueManagerName
rem          The name of the local queue manager to configure permissions for.
rem RITUserName
rem          The name of the user ID configured in the WebSphere MQ observation point
rem          in Rational Integration Tester.
rem PuttingApplicationUserName
rem          The name of the user ID used by the existing application putting
rem          messages onto MQ queues.
rem -------------------------------------------------------------------------------

setlocal

if x%3x==xx goto PrintUsage

rem Dump all existing queue manager athorities to file prior to running the setmqaut commands
dmpmqaut -m %1 > preExitDiscoveryAuthorityBackup.aut 2>&1

setmqaut -m %1 -t qmgr -p %2 +connect +inq +dsp
setmqaut -m %1 -t q -n SYSTEM.DEFAULT.MODEL.QUEUE -p %2 +get +browse +inq +dsp
setmqaut -m %1 -t q -n SYSTEM.ADMIN.COMMAND.QUEUE -p %2 +get +browse +inq +put +dsp
setmqaut -m %1 -n SYSTEM.DEFAULT.NAMELIST -t namelist -p %2 +dsp
setmqaut -m %1 -n "COM.GREENHAT.OBSERVATION*" -t namelist -p %2 +dlt +crt +dsp +inq +chg


setmqaut -m %1 -t qmgr -p %3 +connect +inq
setmqaut -m %1 -n "COM.GREENHAT.OBSERVATION" -t namelist -p %3 +inq +dsp
setmqaut -m %1 -n "AMQ.RIT.*" -t q -p %3 +put

goto End

:PrintUsage
echo arguments: QueueManagerName RITUserName PuttingApplicationUserName

:End

endlocal