@echo off
rem -------------------------------------------------------------------------------
rem Configure WebSphere MQ permissions Script
rem
rem Arguments: QueueManagerName RITUserName PuttingApplicationUserName QueueName
rem
rem QueueManagerName
rem          The name of the local queue manager to configure permissions for.
rem RITUserName
rem          The name of the user ID configured in the physical resources in
rem          Rational Integration Tester.
rem PuttingApplicationUserName
rem          The name of the user ID used by the existing application putting
rem          messages onto MQ queues.
rem QueueName
rem          The name of the queue that the Stub will be reading messages from
rem -------------------------------------------------------------------------------

setlocal

if x%4x==xx goto PrintUsage

rem Dump all existing queue manager athorities to file prior to running the setmqaut commands
dmpmqaut -m %1 > preSiftAndPassThroughAuthorityBackup.aut 2>&1

setmqaut -m %1 -t qmgr -p %2 +connect +inq +dsp
setmqaut -m %1 -n "rit.divert.rules*" -t namelist -p %2 +chg +inq +dsp +dlt +crt
setmqaut -m %1 -n "rit.divertrule.*" -t namelist -p %2 +dlt +crt +dsp +inq
setmqaut -m %1 -n SYSTEM.DURABLE.MODEL.QUEUE -t q -p %2 +get +browse +inq +dsp
setmqaut -m %1 -n "%4" -t q -p %2 +put +setall

setmqaut -m %1 -t qmgr -p %3 +connect +inq
setmqaut -m %1 -n "rit.divert.rules*" -t namelist -p %3 +inq
setmqaut -m %1 -n "rit.divertrule.*" -t namelist -p %3 +inq
setmqaut -m %1 -n "AMQ.RIT.DIVERTED.*" -t q -p %3 +put
setmqaut -m %1 -n "AMQ.RIT.STUB.*" -t q -p %3 +put

goto End

:PrintUsage
echo arguments: QueueManagerName RITUserName PuttingApplicationUserName QueueName

:End

endlocal